﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ITC81DB_2.DialogForms
{
    public partial class DialogFormYesNo : Form
    {
        #region Field

        #endregion

        #region Constructor
        public DialogFormYesNo()
        {
            InitializeComponent();
        }

        public DialogFormYesNo(DataStore.LanguageID language, int ok)
        {
            InitializeComponent();

            if (language == DataStore.LanguageID.Korean)
            {
                this.buttonYes.Text = "Yes";
                this.buttonNo.Text = "No";

                #region 한글
                switch (ok)
                {
                    case 1:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "예전 DLL로 되돌리시겠습니까?";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "언어를 변경하시겠습니까?";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "업데이트";
                        this.labelMessage1.Text = "새 버전으로 업데이트됩니다.";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "스타일러스";
                        this.labelMessage1.Text = "화면 보정을 실행하시겠습니까?";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "공장초기화";
                        this.labelMessage1.Text = "설정된 모든 데이터가 초기화됩니다.";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "LCD초기화";
                        this.labelMessage1.Text = "LCD에 설정된 데이터가 초기화됩니다.";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "메인보드초기화";
                        this.labelMessage1.Text = "메인보드에 설정된 데이터가 초기화됩니다.";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "소거";
                        this.labelMessage1.Text = "현재 품번 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "모터 다운로드";
                        this.labelMessage1.Text = "현재 값을 다운로드 하시겠습니까?";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "모터 다운로드";
                        this.labelMessage1.Text = "새 모터에 다운로드 하시겠습니까?";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "모터 다운로드";
                        this.labelMessage1.Text = "현재 라인번호로 변경하시겠습니까?";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "로그인";
                        this.labelMessage1.Text = "Log Off 하시겠습니까?";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "로그인";
                        this.labelMessage1.Text = "유저 등록 하시겠습니까?";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "로그인";
                        this.labelMessage1.Text = "유저 삭제 하시겠습니까?";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "로그인";
                        this.labelMessage1.Text = "로그인 기능을 사용하시겠습니까?";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "로그인";
                        this.labelMessage1.Text = "로그인 기능을 사용을 중지하시겠습니까?";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "바코드";
                        this.labelMessage1.Text = "바코드 기능을 사용하시겠습니까?";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "바코드";
                        this.labelMessage1.Text = "바코드 기능 사용을 중지하시겠습니까?";
                        break;
                    case 19:
                        this.labelErrorCode.Text = "소거";
                        this.labelMessage1.Text = "전체 품번 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "초기화";
                        this.labelMessage1.Text = "카운터출력 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "이더넷";
                        this.labelMessage1.Text = "로컬IP주소 수동으로 설정하시겠습니까?";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "이더넷";
                        this.labelMessage1.Text = "로컬IP주소 자동으로 설정하시겠습니까?";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "백업";
                        this.labelMessage1.Text = "현재 데이터를 백업하시겠습니까?";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "랜덤모드 설정값 초기화";
                        this.labelMessage1.Text = "소수점을 변경하면 랜덤모드 설정값이 초기화됩니다.";
                        this.labelMessage2.Text = "소수점을 변경하시겠습니까?";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "기능을 사용하시겠습니까?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "기능 사용을 중지하시겠습니까?";
                        this.labelMessage2.Text = "관련 항목들이 초기화 상태로 변경됩니다.";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "해당 값을 기준값으로 설정하시겠습니까?";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.English)
            {
                this.buttonYes.Text = "Yes";
                this.buttonNo.Text = "No";

                #region 영문
                switch (ok)
                {
                    case 1:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Do you want to revert to the previous DLL?";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Do you change the language?";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Update";
                        this.labelMessage1.Text = "Now appilcation program update";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Stylus";
                        this.labelMessage1.Text = "To re-calibrate the screen, press the YES button.";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Initialization";
                        this.labelMessage1.Text = "All datas will be initialized";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "LCD Initialization";
                        this.labelMessage1.Text = "All datas in LCD will be initialized";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Mainboard Initialization";
                        this.labelMessage1.Text = "All datas in Mainboard will be initialized";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Initialize";
                        this.labelMessage1.Text = "Do you want to Initialize current data?";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to download the current value?";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to download the new motor?";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to change with the device number to current line?";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Login";
                        this.labelMessage1.Text = "Do you want to log out?";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Login";
                        this.labelMessage1.Text = "Do you want to register the user?";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Login";
                        this.labelMessage1.Text = "Do you want to delete this user?";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Login";
                        this.labelMessage1.Text = "Are you sure you want to use the login function?";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Login";
                        this.labelMessage1.Text = "Are you sure you want to cancel the login function?";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Barcode";
                        this.labelMessage1.Text = "Are you sure you want to use the Barcode function?";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Barcode";
                        this.labelMessage1.Text = "Are you sure you want to cancel the Barcode function?";
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Initialization";
                        this.labelMessage1.Text = "Do you want to Initialize all data?";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Initialization";
                        this.labelMessage1.Text = "Do you want to Initalize Counting Output's count data?";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Ethernet";
                        this.labelMessage1.Text = "Do you want to set the local IP address static?";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Ethernet";
                        this.labelMessage1.Text = "Do you want to set the local IP address to DHCP?";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Backup";
                        this.labelMessage1.Text = "Would you like to back up your current data?";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Initialize random mode setting";
                        this.labelMessage1.Text = "Changing the decimal point resets the random mode";
                        this.labelMessage2.Text = "settings. Do you want to change the decimal point?";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Are you sure you want to use the function?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Are you sure you want to cancel the function?";
                        this.labelMessage2.Text = "Related items will be changed to the initialization state.";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Do you want to set that value as the 'Pass' value?";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Chinese)
            {
                this.buttonYes.Text = "是";
                this.buttonNo.Text = "否";

                #region 중문
                switch (ok)
                {
                    case 1:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "你想回到到之前的DLL吗";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "想更换语言吗？";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "更新";
                        this.labelMessage1.Text = "现在应用程序更新完成";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "스타일러스";
                        this.labelMessage1.Text = "화면 보정을 실행하시겠습니까?";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "回复出厂设置";
                        this.labelMessage1.Text = "所有数据初始化";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "LCD初期化";
                        this.labelMessage1.Text = "所有LCD数据初始化";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "主板初期化";
                        this.labelMessage1.Text = "所有主板数据初始化";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "消除";
                        this.labelMessage1.Text = "您确定清除当前品目计数值吗？";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "下载";
                        this.labelMessage1.Text = "您确定下载当前值吗？";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "下载";
                        this.labelMessage1.Text = "您确定下载到新电机上吗？";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "下载";
                        this.labelMessage1.Text = "您确定更改为当前列号吗？";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "登錄";
                        this.labelMessage1.Text = "您确定登出吗？";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "登錄";
                        this.labelMessage1.Text = "是否登录用户？";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "登錄";
                        this.labelMessage1.Text = "是否删除用户？";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "登錄";
                        this.labelMessage1.Text = "您确定使用登录功能？";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "登錄";
                        this.labelMessage1.Text = "您确定中断使用登录功能？";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "条形码";
                        this.labelMessage1.Text = "您确定使用条形码功能？";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "条形码";
                        this.labelMessage1.Text = "您确定中断使用条形码功能？";
                        break;
                    case 19:
                        this.labelErrorCode.Text = "消除";
                        this.labelMessage1.Text = "您确定清除全部品目计数值吗？";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "初期化";
                        this.labelMessage1.Text = "计数输出 : 您要清除计数数据吗？";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "以太网";
                        this.labelMessage1.Text = "您要手动设置IP地址吗？";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "以太网";
                        this.labelMessage1.Text = "您要自动设置IP地址吗？";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "备份";
                        this.labelMessage1.Text = "您要备份当前数据吗？";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "随机模式初期化";
                        this.labelMessage1.Text = "更改小数点将重置随机模式设置。";
                        this.labelMessage2.Text = "您要更改小数点吗？";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "你确定要使用功能吗?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "您确定中断使用功能？";
                        this.labelMessage2.Text = "相关项目将更改为初始化状态。。";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "您想将该值设置为“通过”值吗？";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Czech)
            {
            }
            else if (language == DataStore.LanguageID.Russian)
            {
                this.buttonYes.Text = "Да";
                this.buttonNo.Text = "Нет";

                #region 러시아어
                switch (ok)
                {
                    case 1:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Хотите вернуть оригинальную DLL?";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Хотите изменить язык?";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Обновить";
                        this.labelMessage1.Text = "Программа будет обновлена";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "스타일러스";
                        this.labelMessage1.Text = "화면 보정을 실행하시겠습니까?";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Инициализация";
                        this.labelMessage1.Text = "Все данные будут инициализированы";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "LCD инициализация";
                        this.labelMessage1.Text = "Все данные в LCD будут инициализированы";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Инициализация главной платы";
                        this.labelMessage1.Text = "Все данные главной платы будут инициализированы";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Сброс";
                        this.labelMessage1.Text = "Очистить текущие данные?";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Загрузка";
                        this.labelMessage1.Text = "Загрузить текущее значение?";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Загрузка";
                        this.labelMessage1.Text = "Загрузить новый данные мотора?";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Загрузка";
                        this.labelMessage1.Text = "Хотите изменить текущий номер строки?";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Логин";
                        this.labelMessage1.Text = "Выйти?";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Логин";
                        this.labelMessage1.Text = "Зарегестрировать пользователя?";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Логин";
                        this.labelMessage1.Text = "Удалить пользователя?";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Логин";
                        this.labelMessage1.Text = "Использовать функцию входа?";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Логин";
                        this.labelMessage1.Text = "Отменить функцию входа?";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Штрих-код";
                        this.labelMessage1.Text = "Использовать функцию штрих-кода?";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Штрих-код";
                        this.labelMessage1.Text = "Отменить функцию штрих-кода?";
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Сброс";
                        this.labelMessage1.Text = "Очистить все данные?";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Инициализация";
                        this.labelMessage1.Text = "Очистить данные счетчика?";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Локальная сеть";
                        this.labelMessage1.Text = "Установить локальный IP-адрес вручную?";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Локальная сеть";
                        this.labelMessage1.Text = "Установить локальный IP-адрес для DHCP?";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Возврат";
                        this.labelMessage1.Text = "Сделать резервную копию текущих данных?";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Случайный режим";
                        this.labelMessage1.Text = "Изменение десятичной точки сбрасывает настройки ";
                        this.labelMessage2.Text = "случайного режима. Изменить десятичную точку?";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Вы будете использовать функции?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Отменить функцию? Связанные элементы будут";
                        this.labelMessage2.Text = "переведены в состояние инициализации.";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Вы хотите установить это значение как";
                        this.labelMessage2.Text = "«Норма» значение?";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.German)
            {
                this.buttonYes.Text = "Ja";
                this.buttonNo.Text = "Nein";

                #region 독일어
                switch (ok)
                {
                    case 1:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Möchten Sie die ursprüngliche";
                        this.labelMessage2.Text = "DDL-Bibliothek wirklich zurückgeben?";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Möchten Sie die Sprache wirklich ändern?";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Aktualisierung";
                        this.labelMessage1.Text = "Programm wird aktualisiert";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "스타일러스";
                        this.labelMessage1.Text = "화면 보정을 실행하시겠습니까?";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Werkseinstellung";
                        this.labelMessage1.Text = "Alle Daten werden initialisiert";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "LCD-Initialisierung";
                        this.labelMessage1.Text = "Alle LCD-Daten werden initialisiert";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Mainboard-Initialisierung";
                        this.labelMessage1.Text = "Alle Daten auf der Hauptplatine werden initialisiert";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Löschen";
                        this.labelMessage1.Text = "Möchten Sie die aktuellen";
                        this.labelMessage2.Text = "Teilenummern-Daten wirklich löschen?";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Motor Download";
                        this.labelMessage1.Text = "Möchten Sie den aktuellen Wert wirklich herunterladen?";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Motor Download";
                        this.labelMessage1.Text = "Möchten Sie wirklich einen neuen Motor herunterladen?";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Motor Download";
                        this.labelMessage1.Text = "Möchten Sie die aktuelle Zeilennummer wirklich ändern?";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Einloggen";
                        this.labelMessage1.Text = "Möchten Sie sich abmelden?";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Einloggen";
                        this.labelMessage1.Text = "Möchten Sie den Benutzer registrieren?";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Einloggen";
                        this.labelMessage1.Text = "Möchten Sie diesen Benutzer wirklich löschen?";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Einloggen";
                        this.labelMessage1.Text = "Möchten Sie die Anmeldefunktion wirklich aktivieren?";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Einloggen";
                        this.labelMessage1.Text = "Möchten Sie die Anmeldefunktion wirklich deaktivieren?";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Barcode";
                        this.labelMessage1.Text = "Möchten Sie die Barcode-Funktion wirklich aktivieren?";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Barcode";
                        this.labelMessage1.Text = "Möchten Sie die Barcode-Funktion wirklich deaktivieren?";
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Löschen";
                        this.labelMessage1.Text = "Möchten Sie wirklich alle Teilenummernzahlen löschen?";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Initialisieren";
                        this.labelMessage1.Text = "Alarmzählerdaten initialisieren?";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Ethernet";
                        this.labelMessage1.Text = "Möchten Sie die lokale IP-Adresse statisch festlegen?";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Ethernet";
                        this.labelMessage1.Text = "Möchten Sie die lokale IP-Adresse auf DHCP setzen?";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Sicherung";
                        this.labelMessage1.Text = "Möchten Sie Ihre aktuellen Daten sichern?";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Initialisieren Sie die Zufallsmoduseinstellung";
                        this.labelMessage1.Text = "Wenn der Dezimalpunkt geändert wird, wird der";
                        this.labelMessage2.Text = "Zufallsmoduseinstellung initialisiert. Willst du es ändern?";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Möchten Sie die funktion wirklich aktivieren?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Möchten Sie die funktion wirklich deaktivieren?";
                        this.labelMessage2.Text = "Verwandte Elemente werden in den Initialisierungsstatus geändert.";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "";
                        this.labelMessage1.Text = "Möchten Sie diesen Wert als 'Bestehen'-Wert festlegen?";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else
            {
            }
        }
        #endregion

        #region Property

        #endregion

        #region Method
        private void InitializeContnrol()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeContnrol();
        }
        #endregion

        #region Event Handler
        private void buttonYes_Click(object sender, EventArgs e)
        {
            this.Close();

            this.DialogResult = DialogResult.Yes;
        }

        private void buttonNo_Click(object sender, EventArgs e)
        {
            this.Close();

            this.DialogResult = DialogResult.No;
        }
        #endregion
    }
}