﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;

namespace ITC81DB_2_ImageDll
{
    public class Class1
    {
        public enum ButtonImages
        {
            DataStatisticsNoDisable,
            DataStatisticsNoDown,
            DataStatisticsNoUp,

            #region English
            engBackgroundAutoZero,
            engBackgroundCalibration,
            engBackgroundDataBackup,
            engBackgroundDataStatistics,
            engBackgroundExternalOutput,
            engBackgroundJudgment,
            engBackgroundJudgment_Updown,
            engBackgroundOptionBoard1,
            engBackgroundProduct,
            engBackgroundSerial,
            engBackgroundSorterSetting,
            engBackgroundTime,
            engBackgroundUserLogin,
            engBypassCountDown,
            engBypassCountUp,
            engBypassOccasionDown,
            engBypassOccasionUp,
            engCalibrationBalanceDisable,
            engCalibrationBalanceDown,
            engCalibrationBalanceUp,
            engCalibrationCancelDisable,
            engCalibrationCancelDown,
            engCalibrationCancelUp,
            engCalibrationStartDisable,
            engCalibrationStartDown,
            engCalibrationStartUp,
            engCalibrationZeroDisable,
            engCalibrationZeroDown,
            engCalibrationZeroUp,
            engFormMainDisplayBargraphOverDisable,
            engFormMainDisplayBargraphOverUp,
            engFormMainDisplayBargraphPassDisable,
            engFormMainDisplayBargraphPassUp,
            engFormMainDisplayBargraphTareDisable,
            engFormMainDisplayBargraphTareUp,
            engFormMainDisplayBargraphUnderDisable,
            engFormMainDisplayBargraphUnderUp,
            engFormMainDisplayClearDisable,
            engFormMainDisplayClearDown,
            engFormMainDisplayClearUp,
            engFormMainDisplayDeviationUp,
            engFormMainDisplayLogOffDisable,
            engFormMainDisplayLogOffDown,
            engFormMainDisplayLogOffUp,
            engFormMainDisplayPrintDisable,
            engFormMainDisplayPrintDown,
            engFormMainDisplayPrintUp,
            engFormMainDisplayScreenDisable,
            engFormMainDisplayScreenDown,
            engFormMainDisplayScreenUp,
            engFormMainDisplayStatistics,
            engFormMainDisplayWeightUp,
            engFormMainDisplayZeroDisable,
            engFormMainDisplayZeroDown,
            engFormMainDisplayZeroUp,
            engFormMainLoginCancelDisable,
            engFormMainLoginCancelDown,
            engFormMainLoginCancelUp,
            engFormMainLoginDisable,
            engFormMainLoginDown,
            engFormMainLoginUp,
            engFormMenuConfigDisable,
            engFormMenuConfigDown,
            engFormMenuConfigUp,
            engFormMenuDefaultDisable,
            engFormMenuDefaultDown,
            engFormMenuDefaultUp,
            engFormMenuEquipmentDisable,
            engFormMenuEquipmentDown,
            engFormMenuEquipmentUp,
            engFormMenuInformationDisable,
            engFormMenuInformationDown,
            engFormMenuInformationUp,
            engFormMenuSystemDisable,
            engFormMenuSystemDown,
            engFormMenuSystemUp,
            engHelpASDisable,
            engHelpASDown,
            engHelpASUp,
            engHelpAutoZeroDisable,
            engHelpAutoZeroDown,
            engHelpAutoZeroUp,
            engHelpCalibrationDisable,
            engHelpCalibrationDown,
            engHelpCalibrationUp,
            engHelpDataBackupDisable,
            engHelpDataBackupDown,
            engHelpDataBackupUp,
            engHelpDataStatisticsDisable,
            engHelpDataStatisticsDown,
            engHelpDataStatisticsUp,
            engHelpEngineerDisable,
            engHelpEngineerDown,
            engHelpEngineerUp,
            engHelpEquipmentTestDisable,
            engHelpEquipmentTestDown,
            engHelpEquipmentTestUp,
            engHelpExternalOutputDisable,
            engHelpExternalOutputDown,
            engHelpExternalOutputUp,
            engHelpFunctionDisable,
            engHelpFunctionDown,
            engHelpFunctionUp,
            engHelpInformationDisable,
            engHelpInformationDown,
            engHelpInformationUp,
            engHelpInitializationDisable,
            engHelpInitializationDown,
            engHelpInitializationUp,
            engHelpIOTestDisable,
            engHelpIOTestDown,
            engHelpIOTestUp,
            engHelpItemDisable,
            engHelpItemDown,
            engHelpItemUp,
            engHelpJudgmentDisable,
            engHelpJudgmentDown,
            engHelpJudgmentUp,
            engHelpOptionBoardDisable,
            engHelpOptionBoardDown,
            engHelpOptionBoardUp,
            engHelpOptionDisable,
            engHelpOptionDown,
            engHelpOptionUp,
            engHelpSerialDisable,
            engHelpSerialDown,
            engHelpSerialUp,
            engHelpSorterDisable,
            engHelpSorterDown,
            engHelpSorterUp,
            engHelpSystemBackupDisable,
            engHelpSystemBackupDown,
            engHelpSystemBackupUp,
            engHelpTimeDisable,
            engHelpTimeDown,
            engHelpTimeUp,
            engHelpUpdateDisable,
            engHelpUpdateDown,
            engHelpUpdateUp,
            engHelpUserDisable,
            engHelpUserDown,
            engHelpUserUp,
            engJudgmentStandardDisable,
            engJudgmentStandardDown,
            engJudgmentStandardUp,
            engLightOverDown,
            engLightOverUp,
            engLightPassDown,
            engLightPassUp,
            engLightUnderDown,
            engLightUnderUp,
            engMainLineScreen,
            engMainRunLineOverDisable,
            engMainRunLineOverDown,
            engMainRunLineOverUp,
            engMainRunLinePassDisable,
            engMainRunLinePassDown,
            engMainRunLinePassUp,
            engMainRunLineUnderDisable,
            engMainRunLineUnderDown,
            engMainRunLineUnderUp,
            engOFF,
            engOFF_Black,
            engON,
            engON_Black,
            #endregion

            #region Korean
            korBackgroundAutoZero,
            korBackgroundCalibration,
            korBackgroundDataBackup,
            korBackgroundDataStatistics,
            korBackgroundExternalOutput,
            korBackgroundJudgment,
            korBackgroundJudgment_Updown,
            korBackgroundOptionBoard1,
            korBackgroundProduct,
            korBackgroundSerial,
            korBackgroundSorterSetting,
            korBackgroundTime,
            korBypassCountDown,
            korBypassCountUp,
            korBypassOccasionDown,
            korBypassOccasionUp,
            korCalibrationBalanceDisable,
            korCalibrationBalanceDown,
            korCalibrationBalanceUp,
            korCalibrationCancelDisable,
            korCalibrationCancelDown,
            korCalibrationCancelUp,
            korCalibrationStartDisable,
            korCalibrationStartDown,
            korCalibrationStartUp,
            korCalibrationZeroDisable,
            korCalibrationZeroDown,
            korCalibrationZeroUp,
            korFormMainDisplayBargraphOverDisable,
            korFormMainDisplayBargraphOverUp,
            korFormMainDisplayBargraphPassDisable,
            korFormMainDisplayBargraphPassUp,
            korFormMainDisplayBargraphTareDisable,
            korFormMainDisplayBargraphTareUp,
            korFormMainDisplayBargraphUnderDisable,
            korFormMainDisplayBargraphUnderUp,
            korFormMainDisplayClearDisable,
            korFormMainDisplayClearDown,
            korFormMainDisplayClearUp,
            korFormMainDisplayDeviationUp,
            korFormMainDisplayLogOffDisable,
            korFormMainDisplayLogOffDown,
            korFormMainDisplayLogOffUp,
            korFormMainDisplayPrintDisable,
            korFormMainDisplayPrintDown,
            korFormMainDisplayPrintUp,
            korFormMainDisplayStatistics,
            korFormMainDisplayScreenDisable,
            korFormMainDisplayScreenDown,
            korFormMainDisplayScreenUp,
            korFormMainDisplayWeightUp,
            korFormMainDisplayZeroDisable,
            korFormMainDisplayZeroDown,
            korFormMainDisplayZeroUp,
            korFormMainLoginCancelDisable,
            korFormMainLoginCancelDown,
            korFormMainLoginCancelUp,
            korFormMainLoginDisable,
            korFormMainLoginDown,
            korFormMainLoginUp,
            korFormMenuConfigDisable,
            korFormMenuConfigDown,
            korFormMenuConfigUp,
            korFormMenuDefaultDisable,
            korFormMenuDefaultDown,
            korFormMenuDefaultUp,
            korFormMenuEquipmentDisable,
            korFormMenuEquipmentDown,
            korFormMenuEquipmentUp,
            korFormMenuInformationDisable,
            korFormMenuInformationDown,
            korFormMenuInformationUp,
            korFormMenuSystemDisable,
            korFormMenuSystemDown,
            korFormMenuSystemUp,
            korHelpASDisable,
            korHelpASDown,
            korHelpASUp,
            korHelpAutoZeroDisable,
            korHelpAutoZeroDown,
            korHelpAutoZeroUp,
            korHelpCalibrationDisable,
            korHelpCalibrationDown,
            korHelpCalibrationUp,
            korHelpDataBackupDisable,
            korHelpDataBackupDown,
            korHelpDataBackupUp,
            korHelpDataStatisticsDisable,
            korHelpDataStatisticsDown,
            korHelpDataStatisticsUp,
            korHelpEngineerDisable,
            korHelpEngineerDown,
            korHelpEngineerUp,
            korHelpEquipmentTestDisable,
            korHelpEquipmentTestDown,
            korHelpEquipmentTestUp,
            korHelpExternalOutputDisable,
            korHelpExternalOutputDown,
            korHelpExternalOutputUp,
            korHelpFunctionDisable,
            korHelpFunctionDown,
            korHelpFunctionUp,
            korHelpInformationDisable,
            korHelpInformationDown,
            korHelpInformationUp,
            korHelpInitializationDisable,
            korHelpInitializationDown,
            korHelpInitializationUp,
            korHelpIOTestDisable,
            korHelpIOTestDown,
            korHelpIOTestUp,
            korHelpItemDisable,
            korHelpItemDown,
            korHelpItemUp,
            korHelpJudgmentDisable,
            korHelpJudgmentDown,
            korHelpJudgmentUp,
            korHelpOptionBoardDisable,
            korHelpOptionBoardDown,
            korHelpOptionBoardUp,
            korHelpOptionDisable,
            korHelpOptionDown,
            korHelpOptionUp,
            korHelpSerialDisable,
            korHelpSerialDown,
            korHelpSerialUp,
            korHelpSorterDisable,
            korHelpSorterDown,
            korHelpSorterUp,
            korHelpTimeDisable,
            korHelpTimeDown,
            korHelpTimeUp,
            korHelpUpdateDisable,
            korHelpUpdateDown,
            korHelpUpdateUp,
            korHelpUserDisable,
            korHelpUserDown,
            korHelpUserUp,
            korJudgmentStandardDisable,
            korJudgmentStandardDown,
            korJudgmentStandardUp,
            korLightOverDown,
            korLightOverUp,
            korLightPassDown,
            korLightPassUp,
            korLightUnderDown,
            korLightUnderUp,
            korMainLineScreen,
            korMainRunLineOverDisable,
            korMainRunLineOverDown,
            korMainRunLineOverUp,
            korMainRunLinePassDisable,
            korMainRunLinePassDown,
            korMainRunLinePassUp,
            korMainRunLineUnderDisable,
            korMainRunLineUnderDown,
            korMainRunLineUnderUp,            
            #endregion

            #region Chinese
            chnBackgroundAutoZero,
            chnBackgroundCalibration,
            chnBackgroundDataBackup,
            chnBackgroundDataStatistics,
            chnBackgroundExternalOutput,
            chnBackgroundJudgment,
            chnBackgroundJudgment_Updown,
            chnBackgroundOptionBoard1,
            chnBackgroundProduct,
            chnBackgroundSerial,
            chnBackgroundSorterSetting,
            chnBackgroundTime,
            chnBackgroundUserLogin,
            chnBypassCountDown,
            chnBypassCountUp,
            chnBypassOccasionDown,
            chnBypassOccasionUp,
            chnCalibrationBalanceDisable,
            chnCalibrationBalanceDown,
            chnCalibrationBalanceUp,
            chnCalibrationCancelDisable,
            chnCalibrationCancelDown,
            chnCalibrationCancelUp,
            chnCalibrationStartDisable,
            chnCalibrationStartDown,
            chnCalibrationStartUp,
            chnCalibrationZeroDisable,
            chnCalibrationZeroDown,
            chnCalibrationZeroUp,
            chnFormMainDisplayBargraphOverDisable,
            chnFormMainDisplayBargraphOverUp,
            chnFormMainDisplayBargraphPassDisable,
            chnFormMainDisplayBargraphPassUp,
            chnFormMainDisplayBargraphTareDisable,
            chnFormMainDisplayBargraphTareUp,
            chnFormMainDisplayBargraphUnderDisable,
            chnFormMainDisplayBargraphUnderUp,
            chnMainClearDisable,
            chnMainClearDown,
            chnMainClearUp,
            chnMainDeviationUp,
            chnMainLogOffDisable,
            chnMainLogOffDown,
            chnMainLogOffUp,
            chnMainLoginLoginDisable,
            chnMainLoginLoginDown,
            chnMainLoginLoginUp,
            chnMainPrintDisable,
            chnMainPrintDown,
            chnMainPrintUp,
            chnMainScreenDisable,
            chnMainScreenDown,
            chnMainScreenUp,
            chnFormMainDisplayStatistics,
            chnMainWeightUp,
            chnMainZeroDisable,
            chnMainZeroDown,
            chnMainZeroUp,
            chnFormMainLoginCancelDisable,
            chnFormMainLoginCancelDown,
            chnFormMainLoginCancelUp,
            chnFormMainLoginDisable,
            chnFormMainLoginDown,
            chnFormMainLoginUp,
            chnFormMenuConfigDisable,
            chnFormMenuConfigDown,
            chnFormMenuConfigUp,
            chnFormMenuDefaultDisable,
            chnFormMenuDefaultDown,
            chnFormMenuDefaultUp,
            chnFormMenuEquipmentDisable,
            chnFormMenuEquipmentDown,
            chnFormMenuEquipmentUp,
            chnFormMenuInformationDisable,
            chnFormMenuInformationDown,
            chnFormMenuInformationUp,
            chnFormMenuSystemDisable,
            chnFormMenuSystemDown,
            chnFormMenuSystemUp,
            chnHelpASDisable,
            chnHelpASDown,
            chnHelpASUp,
            chnHelpAutoZeroDisable,
            chnHelpAutoZeroDown,
            chnHelpAutoZeroUp,
            chnHelpCalibrationDisable,
            chnHelpCalibrationDown,
            chnHelpCalibrationUp,
            chnHelpDataBackupDisable,
            chnHelpDataBackupDown,
            chnHelpDataBackupUp,
            chnHelpDataStatisticsDisable,
            chnHelpDataStatisticsDown,
            chnHelpDataStatisticsUp,
            chnHelpEngineerDisable,
            chnHelpEngineerDown,
            chnHelpEngineerUp,
            chnHelpFunctionDisable,
            chnHelpFunctionDown,
            chnHelpFunctionUp,
            chnHelpInformationDisable,
            chnHelpInformationDown,
            chnHelpInformationUp,
            chnHelpInitializationDisable,
            chnHelpInitializationDown,
            chnHelpInitializationUp,
            chnHelpIOTestDisable,
            chnHelpIOTestDown,
            chnHelpIOTestUp,
            chnHelpItemDisable,
            chnHelpItemDown,
            chnHelpItemUp,
            chnHelpJudgmentDisable,
            chnHelpJudgmentDown,
            chnHelpJudgmentUp,
            chnHelpSerialDisable,
            chnHelpSerialDown,
            chnHelpSerialUp,
            chnHelpSorterDisable,
            chnHelpSorterDown,
            chnHelpSorterUp,
            chnHelpTimeDisable,
            chnHelpTimeDown,
            chnHelpTimeUp,
            chnHelpUpdateDisable,
            chnHelpUpdateDown,
            chnHelpUpdateUp,
            chnHelpUserDisable,
            chnHelpUserDown,
            chnHelpUserUp,
            chnJudgmentStandardDisable,
            chnJudgmentStandardDown,
            chnJudgmentStandardUp,
            chnLightOverDown,
            chnLightOverUp,
            chnLightPassDown,
            chnLightPassUp,
            chnLightUnderDown,
            chnLightUnderUp,
            chnMainRunLineOverDisable,
            chnMainRunLineOverDown,
            chnMainRunLineOverUp,
            chnMainRunLinePassDisable,
            chnMainRunLinePassDown,
            chnMainRunLinePassUp,
            chnMainRunLineUnderDisable,
            chnMainRunLineUnderDown,
            chnMainRunLineUnderUp,
            chnOFF,
            chnOFF_Black,
            chnON,
            chnON_Black,
            #endregion

            ProductNoDisable,
            ProductNoDown,
            ProductNoUp,
        }

        public Bitmap GetImage(ButtonImages image)
        {
            Bitmap bt;

            switch (image)
            {
                case ButtonImages.DataStatisticsNoDisable:
                    bt = new Bitmap(Resource1.DataStatisticsNoDisable);
                    break;
                case ButtonImages.DataStatisticsNoDown:
                    bt = new Bitmap(Resource1.DataStatisticsNoDown);
                    break;
                case ButtonImages.DataStatisticsNoUp:
                    bt = new Bitmap(Resource1.DataStatisticsNoUp);
                    break;

                #region English
                case ButtonImages.engBackgroundAutoZero:
                    bt = new Bitmap(Resource1.engBackgroundAutoZero);
                    break;
                case ButtonImages.engBackgroundCalibration:
                    bt = new Bitmap(Resource1.engBackgroundCalibration);
                    break;
                case ButtonImages.engBackgroundDataBackup:
                    bt = new Bitmap(Resource1.engBackgroundDataBackup);
                    break;
                case ButtonImages.engBackgroundDataStatistics:
                    bt = new Bitmap(Resource1.engBackgroundDataStatistics);
                    break;
                case ButtonImages.engBackgroundExternalOutput:
                    bt = new Bitmap(Resource1.engBackgroundExternalOutput);
                    break;
                case ButtonImages.engBackgroundJudgment:
                    bt = new Bitmap(Resource1.engBackgroundJudgment);
                    break;
                case ButtonImages.engBackgroundJudgment_Updown:
                    bt = new Bitmap(Resource1.engBackgroundJudgment_Updown);
                    break;
                case ButtonImages.engBackgroundOptionBoard1:
                    bt = new Bitmap(Resource1.engBackgroundOptionBoard1);
                    break;
                case ButtonImages.engBackgroundProduct:
                    bt = new Bitmap(Resource1.engBackgroundProduct);
                    break;
                case ButtonImages.engBackgroundSerial:
                    bt = new Bitmap(Resource1.engBackgroundSerial);
                    break;
                case ButtonImages.engBackgroundSorterSetting:
                    bt = new Bitmap(Resource1.engBackgroundSorterSetting);
                    break;
                case ButtonImages.engBackgroundTime:
                    bt = new Bitmap(Resource1.engBackgroundTime);
                    break;
                case ButtonImages.engBackgroundUserLogin:
                    bt = new Bitmap(Resource1.engBackgroundUserLogin);
                    break;
                case ButtonImages.engBypassCountDown:
                    bt = new Bitmap(Resource1.engBypassCountDown);
                    break;
                case ButtonImages.engBypassCountUp:
                    bt = new Bitmap(Resource1.engBypassCountUp);
                    break;
                case ButtonImages.engBypassOccasionDown:
                    bt = new Bitmap(Resource1.engBypassOccasionDown);
                    break;
                case ButtonImages.engBypassOccasionUp:
                    bt = new Bitmap(Resource1.engBypassOccasionUp);
                    break;
                case ButtonImages.engCalibrationBalanceDisable:
                    bt = new Bitmap(Resource1.engCalibrationBalanceDisable);
                    break;
                case ButtonImages.engCalibrationBalanceDown:
                    bt = new Bitmap(Resource1.engCalibrationBalanceDown);
                    break;
                case ButtonImages.engCalibrationBalanceUp:
                    bt = new Bitmap(Resource1.engCalibrationBalanceUp);
                    break;
                case ButtonImages.engCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.engCalibrationCancelDisable);
                    break;
                case ButtonImages.engCalibrationCancelDown:
                    bt = new Bitmap(Resource1.engCalibrationCancelDown);
                    break;
                case ButtonImages.engCalibrationCancelUp:
                    bt = new Bitmap(Resource1.engCalibrationCancelUp);
                    break;
                case ButtonImages.engCalibrationStartDisable:
                    bt = new Bitmap(Resource1.engCalibrationStartDisable);
                    break;
                case ButtonImages.engCalibrationStartDown:
                    bt = new Bitmap(Resource1.engCalibrationStartDown);
                    break;
                case ButtonImages.engCalibrationStartUp:
                    bt = new Bitmap(Resource1.engCalibrationStartUp);
                    break;
                case ButtonImages.engCalibrationZeroDisable:
                    bt = new Bitmap(Resource1.engCalibrationZeroDisable);
                    break;
                case ButtonImages.engCalibrationZeroDown:
                    bt = new Bitmap(Resource1.engCalibrationZeroDown);
                    break;
                case ButtonImages.engCalibrationZeroUp:
                    bt = new Bitmap(Resource1.engCalibrationZeroUp);
                    break;
                case ButtonImages.engJudgmentStandardDisable:
                    bt = new Bitmap(Resource1.engJudgmentStandardDisable);
                    break;
                case ButtonImages.engJudgmentStandardDown:
                    bt = new Bitmap(Resource1.engJudgmentStandardDown);
                    break;
                case ButtonImages.engJudgmentStandardUp:
                    bt = new Bitmap(Resource1.engJudgmentStandardUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphOverDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphOverDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphOverUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphOverUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphPassDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphPassDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphPassUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphPassUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphTareDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphTareDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphTareUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphTareUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphUnderDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphUnderDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphUnderUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphUnderUp);
                    break;
                case ButtonImages.engFormMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearDisable);
                    break;
                case ButtonImages.engFormMainDisplayClearDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearDown);
                    break;
                case ButtonImages.engFormMainDisplayClearUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearUp);
                    break;
                case ButtonImages.engFormMainDisplayDeviationUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayDeviationUp);
                    break;
                case ButtonImages.engFormMainDisplayLogOffDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffDisable);
                    break;
                case ButtonImages.engFormMainDisplayLogOffDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffDown);
                    break;
                case ButtonImages.engFormMainDisplayLogOffUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffUp);
                    break;
                case ButtonImages.engFormMainDisplayPrintDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintDisable);
                    break;
                case ButtonImages.engFormMainDisplayPrintDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintDown);
                    break;
                case ButtonImages.engFormMainDisplayPrintUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintUp);
                    break;
                case ButtonImages.engFormMainDisplayScreenDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenDisable);
                    break;
                case ButtonImages.engFormMainDisplayScreenDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenDown);
                    break;
                case ButtonImages.engFormMainDisplayScreenUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenUp);
                    break;
                case ButtonImages.engFormMainDisplayStatistics:
                    bt = new Bitmap(Resource1.engFormMainDisplayStatistics);
                    break;
                case ButtonImages.engFormMainDisplayWeightUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayWeightUp);
                    break;
                case ButtonImages.engFormMainDisplayZeroDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroDisable);
                    break;
                case ButtonImages.engFormMainDisplayZeroDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroDown);
                    break;
                case ButtonImages.engFormMainDisplayZeroUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroUp);
                    break;
                case ButtonImages.engFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDisable);
                    break;
                case ButtonImages.engFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDown);
                    break;
                case ButtonImages.engFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelUp);
                    break;
                case ButtonImages.engFormMainLoginDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginDisable);
                    break;
                case ButtonImages.engFormMainLoginDown:
                    bt = new Bitmap(Resource1.engFormMainLoginDown);
                    break;
                case ButtonImages.engFormMainLoginUp:
                    bt = new Bitmap(Resource1.engFormMainLoginUp);
                    break;
                case ButtonImages.engFormMenuConfigDisable:
                    bt = new Bitmap(Resource1.engFormMenuConfigDisable);
                    break;
                case ButtonImages.engFormMenuConfigDown:
                    bt = new Bitmap(Resource1.engFormMenuConfigDown);
                    break;
                case ButtonImages.engFormMenuConfigUp:
                    bt = new Bitmap(Resource1.engFormMenuConfigUp);
                    break;
                case ButtonImages.engFormMenuDefaultDisable:
                    bt = new Bitmap(Resource1.engFormMenuDefaultDisable);
                    break;
                case ButtonImages.engFormMenuDefaultDown:
                    bt = new Bitmap(Resource1.engFormMenuDefaultDown);
                    break;
                case ButtonImages.engFormMenuDefaultUp:
                    bt = new Bitmap(Resource1.engFormMenuDefaultUp);
                    break;
                case ButtonImages.engFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDisable);
                    break;
                case ButtonImages.engFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDown);
                    break;
                case ButtonImages.engFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentUp);
                    break;
                case ButtonImages.engFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.engFormMenuInformationDisable);
                    break;
                case ButtonImages.engFormMenuInformationDown:
                    bt = new Bitmap(Resource1.engFormMenuInformationDown);
                    break;
                case ButtonImages.engFormMenuInformationUp:
                    bt = new Bitmap(Resource1.engFormMenuInformationUp);
                    break;
                case ButtonImages.engFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.engFormMenuSystemDisable);
                    break;
                case ButtonImages.engFormMenuSystemDown:
                    bt = new Bitmap(Resource1.engFormMenuSystemDown);
                    break;
                case ButtonImages.engFormMenuSystemUp:
                    bt = new Bitmap(Resource1.engFormMenuSystemUp);
                    break;
                case ButtonImages.engHelpASDisable:
                    bt = new Bitmap(Resource1.engHelpASDisable);
                    break;
                case ButtonImages.engHelpASDown:
                    bt = new Bitmap(Resource1.engHelpASDown);
                    break;
                case ButtonImages.engHelpASUp:
                    bt = new Bitmap(Resource1.engHelpASUp);
                    break;
                case ButtonImages.engHelpAutoZeroDisable:
                    bt = new Bitmap(Resource1.engHelpAutoZeroDisable);
                    break;
                case ButtonImages.engHelpAutoZeroDown:
                    bt = new Bitmap(Resource1.engHelpAutoZeroDown);
                    break;
                case ButtonImages.engHelpAutoZeroUp:
                    bt = new Bitmap(Resource1.engHelpAutoZeroUp);
                    break;
                case ButtonImages.engHelpCalibrationDisable:
                    bt = new Bitmap(Resource1.engHelpCalibrationDisable);
                    break;
                case ButtonImages.engHelpCalibrationDown:
                    bt = new Bitmap(Resource1.engHelpCalibrationDown);
                    break;
                case ButtonImages.engHelpCalibrationUp:
                    bt = new Bitmap(Resource1.engHelpCalibrationUp);
                    break;
                case ButtonImages.engHelpDataBackupDisable:
                    bt = new Bitmap(Resource1.engHelpDataBackupDisable);
                    break;
                case ButtonImages.engHelpDataBackupDown:
                    bt = new Bitmap(Resource1.engHelpDataBackupDown);
                    break;
                case ButtonImages.engHelpDataBackupUp:
                    bt = new Bitmap(Resource1.engHelpDataBackupUp);
                    break;
                case ButtonImages.engHelpDataStatisticsDisable:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsDisable);
                    break;
                case ButtonImages.engHelpDataStatisticsDown:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsDown);
                    break;
                case ButtonImages.engHelpDataStatisticsUp:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsUp);
                    break;
                case ButtonImages.engHelpEngineerDisable:
                    bt = new Bitmap(Resource1.engHelpEngineerDisable);
                    break;
                case ButtonImages.engHelpEngineerDown:
                    bt = new Bitmap(Resource1.engHelpEngineerDown);
                    break;
                case ButtonImages.engHelpEngineerUp:
                    bt = new Bitmap(Resource1.engHelpEngineerUp);
                    break;
                case ButtonImages.engHelpEquipmentTestDisable:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestDisable);
                    break;
                case ButtonImages.engHelpEquipmentTestDown:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestDown);
                    break;
                case ButtonImages.engHelpEquipmentTestUp:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestUp);
                    break;
                case ButtonImages.engHelpExternalOutputDisable:
                    bt = new Bitmap(Resource1.engHelpExternalOutputDisable);
                    break;
                case ButtonImages.engHelpExternalOutputDown:
                    bt = new Bitmap(Resource1.engHelpExternalOutputDown);
                    break;
                case ButtonImages.engHelpExternalOutputUp:
                    bt = new Bitmap(Resource1.engHelpExternalOutputUp);
                    break;
                case ButtonImages.engHelpFunctionDisable:
                    bt = new Bitmap(Resource1.engHelpFunctionDisable);
                    break;
                case ButtonImages.engHelpFunctionDown:
                    bt = new Bitmap(Resource1.engHelpFunctionDown);
                    break;
                case ButtonImages.engHelpFunctionUp:
                    bt = new Bitmap(Resource1.engHelpFunctionUp);
                    break;
                case ButtonImages.engHelpInformationDisable:
                    bt = new Bitmap(Resource1.engHelpInformationDisable);
                    break;
                case ButtonImages.engHelpInformationDown:
                    bt = new Bitmap(Resource1.engHelpInformationDown);
                    break;
                case ButtonImages.engHelpInformationUp:
                    bt = new Bitmap(Resource1.engHelpInformationUp);
                    break;
                case ButtonImages.engHelpInitializationDisable:
                    bt = new Bitmap(Resource1.engHelpInitializationDisable);
                    break;
                case ButtonImages.engHelpInitializationDown:
                    bt = new Bitmap(Resource1.engHelpInitializationDown);
                    break;
                case ButtonImages.engHelpInitializationUp:
                    bt = new Bitmap(Resource1.engHelpInitializationUp);
                    break;
                case ButtonImages.engHelpIOTestDisable:
                    bt = new Bitmap(Resource1.engHelpIOTestDisable);
                    break;
                case ButtonImages.engHelpIOTestDown:
                    bt = new Bitmap(Resource1.engHelpIOTestDown);
                    break;
                case ButtonImages.engHelpIOTestUp:
                    bt = new Bitmap(Resource1.engHelpIOTestUp);
                    break;
                case ButtonImages.engHelpItemDisable:
                    bt = new Bitmap(Resource1.engHelpItemDisable);
                    break;
                case ButtonImages.engHelpItemDown:
                    bt = new Bitmap(Resource1.engHelpItemDown);
                    break;
                case ButtonImages.engHelpItemUp:
                    bt = new Bitmap(Resource1.engHelpItemUp);
                    break;
                case ButtonImages.engHelpJudgmentDisable:
                    bt = new Bitmap(Resource1.engHelpJudgmentDisable);
                    break;
                case ButtonImages.engHelpJudgmentDown:
                    bt = new Bitmap(Resource1.engHelpJudgmentDown);
                    break;
                case ButtonImages.engHelpJudgmentUp:
                    bt = new Bitmap(Resource1.engHelpJudgmentUp);
                    break;
                case ButtonImages.engHelpOptionBoardDisable:
                    bt = new Bitmap(Resource1.engHelpOptionBoardDisable);
                    break;
                case ButtonImages.engHelpOptionBoardDown:
                    bt = new Bitmap(Resource1.engHelpOptionBoardDown);
                    break;
                case ButtonImages.engHelpOptionBoardUp:
                    bt = new Bitmap(Resource1.engHelpOptionBoardUp);
                    break;
                case ButtonImages.engHelpOptionDisable:
                    bt = new Bitmap(Resource1.engHelpOptionDisable);
                    break;
                case ButtonImages.engHelpOptionDown:
                    bt = new Bitmap(Resource1.engHelpOptionDown);
                    break;
                case ButtonImages.engHelpOptionUp:
                    bt = new Bitmap(Resource1.engHelpOptionUp);
                    break;
                case ButtonImages.engHelpSerialDisable:
                    bt = new Bitmap(Resource1.engHelpSerialDisable);
                    break;
                case ButtonImages.engHelpSerialDown:
                    bt = new Bitmap(Resource1.engHelpSerialDown);
                    break;
                case ButtonImages.engHelpSerialUp:
                    bt = new Bitmap(Resource1.engHelpSerialUp);
                    break;
                case ButtonImages.engHelpSorterDisable:
                    bt = new Bitmap(Resource1.engHelpSorterDisable);
                    break;
                case ButtonImages.engHelpSorterDown:
                    bt = new Bitmap(Resource1.engHelpSorterDown);
                    break;
                case ButtonImages.engHelpSorterUp:
                    bt = new Bitmap(Resource1.engHelpSorterUp);
                    break;
                case ButtonImages.engHelpSystemBackupDisable:
                    bt = new Bitmap(Resource1.engHelpSystemBackupDisable);
                    break;
                case ButtonImages.engHelpSystemBackupDown:
                    bt = new Bitmap(Resource1.engHelpSystemBackupDown);
                    break;
                case ButtonImages.engHelpSystemBackupUp:
                    bt = new Bitmap(Resource1.engHelpSystemBackupUp);
                    break;
                case ButtonImages.engHelpTimeDisable:
                    bt = new Bitmap(Resource1.engHelpTimeDisable);
                    break;
                case ButtonImages.engHelpTimeDown:
                    bt = new Bitmap(Resource1.engHelpTimeDown);
                    break;
                case ButtonImages.engHelpTimeUp:
                    bt = new Bitmap(Resource1.engHelpTimeUp);
                    break;
                case ButtonImages.engHelpUpdateDisable:
                    bt = new Bitmap(Resource1.engHelpUpdateDisable);
                    break;
                case ButtonImages.engHelpUpdateDown:
                    bt = new Bitmap(Resource1.engHelpUpdateDown);
                    break;
                case ButtonImages.engHelpUpdateUp:
                    bt = new Bitmap(Resource1.engHelpUpdateUp);
                    break;
                case ButtonImages.engHelpUserDisable:
                    bt = new Bitmap(Resource1.engHelpUserDisable);
                    break;
                case ButtonImages.engHelpUserDown:
                    bt = new Bitmap(Resource1.engHelpUserDown);
                    break;
                case ButtonImages.engHelpUserUp:
                    bt = new Bitmap(Resource1.engHelpUserUp);
                    break;
                case ButtonImages.engLightOverDown:
                    bt = new Bitmap(Resource1.engLightOverDown);
                    break;
                case ButtonImages.engLightOverUp:
                    bt = new Bitmap(Resource1.engLightOverUp);
                    break;
                case ButtonImages.engLightPassDown:
                    bt = new Bitmap(Resource1.engLightPassDown);
                    break;
                case ButtonImages.engLightPassUp:
                    bt = new Bitmap(Resource1.engLightPassUp);
                    break;
                case ButtonImages.engLightUnderDown:
                    bt = new Bitmap(Resource1.engLightUnderDown);
                    break;
                case ButtonImages.engLightUnderUp:
                    bt = new Bitmap(Resource1.engLightUnderUp);
                    break;
                case ButtonImages.engMainLineScreen:
                    bt = new Bitmap(Resource1.engMainLineScreen);
                    break;
                case ButtonImages.engMainRunLineOverDisable:
                    bt = new Bitmap(Resource1.engMainRunLineOverDisable);
                    break;
                case ButtonImages.engMainRunLineOverDown:
                    bt = new Bitmap(Resource1.engMainRunLineOverDown);
                    break;
                case ButtonImages.engMainRunLineOverUp:
                    bt = new Bitmap(Resource1.engMainRunLineOverUp);
                    break;
                case ButtonImages.engMainRunLinePassDisable:
                    bt = new Bitmap(Resource1.engMainRunLinePassDisable);
                    break;
                case ButtonImages.engMainRunLinePassDown:
                    bt = new Bitmap(Resource1.engMainRunLinePassDown);
                    break;
                case ButtonImages.engMainRunLinePassUp:
                    bt = new Bitmap(Resource1.engMainRunLinePassUp);
                    break;
                case ButtonImages.engMainRunLineUnderDisable:
                    bt = new Bitmap(Resource1.engMainRunLineUnderDisable);
                    break;
                case ButtonImages.engMainRunLineUnderDown:
                    bt = new Bitmap(Resource1.engMainRunLineUnderDown);
                    break;
                case ButtonImages.engMainRunLineUnderUp:
                    bt = new Bitmap(Resource1.engMainRunLineUnderUp);
                    break;
                case ButtonImages.engOFF:
                    bt = new Bitmap(Resource1.engOFF);
                    break;
                case ButtonImages.engOFF_Black:
                    bt = new Bitmap(Resource1.engOFF_Black);
                    break;
                case ButtonImages.engON:
                    bt = new Bitmap(Resource1.engON);
                    break;
                case ButtonImages.engON_Black:
                    bt = new Bitmap(Resource1.engON_Black);
                    break;
                #endregion

                #region Korean
                case ButtonImages.korBackgroundAutoZero:
                    bt = new Bitmap(Resource1.korBackgroundAutoZero);
                    break;
                case ButtonImages.korBackgroundCalibration:
                    bt = new Bitmap(Resource1.korBackgroundCalibration);
                    break;
                case ButtonImages.korBackgroundDataBackup:
                    bt = new Bitmap(Resource1.korBackgroundDataBackup);
                    break;
                case ButtonImages.korBackgroundDataStatistics:
                    bt = new Bitmap(Resource1.korBackgroundDataStatistics);
                    break;
                case ButtonImages.korBackgroundExternalOutput:
                    bt = new Bitmap(Resource1.korBackgroundExternalOutput);
                    break;
                case ButtonImages.korBackgroundJudgment:
                    bt = new Bitmap(Resource1.korBackgroundJudgment);
                    break;
                case ButtonImages.korBackgroundJudgment_Updown:
                    bt = new Bitmap(Resource1.korBackgroundJudgment_Updown);
                    break;
                case ButtonImages.korBackgroundOptionBoard1:
                    bt = new Bitmap(Resource1.korBackgroundOptionBoard1);
                    break;
                case ButtonImages.korBackgroundProduct:
                    bt = new Bitmap(Resource1.korBackgroundProduct);
                    break;
                case ButtonImages.korBackgroundSerial:
                    bt = new Bitmap(Resource1.korBackgroundSerial);
                    break;
                case ButtonImages.korBackgroundSorterSetting:
                    bt = new Bitmap(Resource1.korBackgroundSorterSetting);
                    break;
                case ButtonImages.korBackgroundTime:
                    bt = new Bitmap(Resource1.korBackgroundTime);
                    break;
                case ButtonImages.korBypassCountDown:
                    bt = new Bitmap(Resource1.korBypassCountDown);
                    break;
                case ButtonImages.korBypassCountUp:
                    bt = new Bitmap(Resource1.korBypassCountUp);
                    break;
                case ButtonImages.korBypassOccasionDown:
                    bt = new Bitmap(Resource1.korBypassOccasionDown);
                    break;
                case ButtonImages.korBypassOccasionUp:
                    bt = new Bitmap(Resource1.korBypassOccasionUp);
                    break;
                case ButtonImages.korCalibrationBalanceDisable:
                    bt = new Bitmap(Resource1.korCalibrationBalanceDisable);
                    break;
                case ButtonImages.korCalibrationBalanceDown:
                    bt = new Bitmap(Resource1.korCalibrationBalanceDown);
                    break;
                case ButtonImages.korCalibrationBalanceUp:
                    bt = new Bitmap(Resource1.korCalibrationBalanceUp);
                    break;
                case ButtonImages.korCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.korCalibrationCancelDisable);
                    break;
                case ButtonImages.korCalibrationCancelDown:
                    bt = new Bitmap(Resource1.korCalibrationCancelDown);
                    break;
                case ButtonImages.korCalibrationCancelUp:
                    bt = new Bitmap(Resource1.korCalibrationCancelUp);
                    break;
                case ButtonImages.korCalibrationStartDisable:
                    bt = new Bitmap(Resource1.korCalibrationStartDisable);
                    break;
                case ButtonImages.korCalibrationStartDown:
                    bt = new Bitmap(Resource1.korCalibrationStartDown);
                    break;
                case ButtonImages.korCalibrationStartUp:
                    bt = new Bitmap(Resource1.korCalibrationStartUp);
                    break;
                case ButtonImages.korCalibrationZeroDisable:
                    bt = new Bitmap(Resource1.korCalibrationZeroDisable);
                    break;
                case ButtonImages.korCalibrationZeroDown:
                    bt = new Bitmap(Resource1.korCalibrationZeroDown);
                    break;
                case ButtonImages.korCalibrationZeroUp:
                    bt = new Bitmap(Resource1.korCalibrationZeroUp);
                    break;
                case ButtonImages.korJudgmentStandardDisable:
                    bt = new Bitmap(Resource1.korJudgmentStandardDisable);
                    break;
                case ButtonImages.korJudgmentStandardDown:
                    bt = new Bitmap(Resource1.korJudgmentStandardDown);
                    break;
                case ButtonImages.korJudgmentStandardUp:
                    bt = new Bitmap(Resource1.korJudgmentStandardUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphOverDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphOverDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphOverUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphOverUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphPassDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphPassDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphPassUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphPassUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphTareDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphTareDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphTareUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphTareUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphUnderDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphUnderDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphUnderUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphUnderUp);
                    break;
                case ButtonImages.korFormMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearDisable);
                    break;
                case ButtonImages.korFormMainDisplayClearDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearDown);
                    break;
                case ButtonImages.korFormMainDisplayClearUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearUp);
                    break;
                case ButtonImages.korFormMainDisplayDeviationUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayDeviationUp);
                    break;
                case ButtonImages.korFormMainDisplayPrintDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintDisable);
                    break;
                case ButtonImages.korFormMainDisplayPrintDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintDown);
                    break;
                case ButtonImages.korFormMainDisplayPrintUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintUp);
                    break;
                case ButtonImages.korFormMainDisplayScreenDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenDisable);
                    break;
                case ButtonImages.korFormMainDisplayScreenDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenDown);
                    break;
                case ButtonImages.korFormMainDisplayScreenUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenUp);
                    break;
                case ButtonImages.korFormMainDisplayStatistics:
                    bt = new Bitmap(Resource1.korFormMainDisplayStatistics);
                    break;
                case ButtonImages.korFormMainDisplayWeightUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayWeightUp);
                    break;
                case ButtonImages.korFormMainDisplayZeroDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroDisable);
                    break;
                case ButtonImages.korFormMainDisplayZeroDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroDown);
                    break;
                case ButtonImages.korFormMainDisplayZeroUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroUp);
                    break;
                case ButtonImages.korFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelDisable);
                    break;
                case ButtonImages.korFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelDown);
                    break;
                case ButtonImages.korFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelUp);
                    break;
                case ButtonImages.korFormMainLoginDisable:
                    bt = new Bitmap(Resource1.korFormMainLoginDisable);
                    break;
                case ButtonImages.korFormMainLoginDown:
                    bt = new Bitmap(Resource1.korFormMainLoginDown);
                    break;
                case ButtonImages.korFormMainLoginUp:
                    bt = new Bitmap(Resource1.korFormMainLoginUp);
                    break;
                case ButtonImages.korFormMenuConfigDisable:
                    bt = new Bitmap(Resource1.korFormMenuConfigDisable);
                    break;
                case ButtonImages.korFormMenuConfigDown:
                    bt = new Bitmap(Resource1.korFormMenuConfigDown);
                    break;
                case ButtonImages.korFormMenuConfigUp:
                    bt = new Bitmap(Resource1.korFormMenuConfigUp);
                    break;
                case ButtonImages.korFormMenuDefaultDisable:
                    bt = new Bitmap(Resource1.korFormMenuDefaultDisable);
                    break;
                case ButtonImages.korFormMenuDefaultDown:
                    bt = new Bitmap(Resource1.korFormMenuDefaultDown);
                    break;
                case ButtonImages.korFormMenuDefaultUp:
                    bt = new Bitmap(Resource1.korFormMenuDefaultUp);
                    break;
                case ButtonImages.korFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentDisable);
                    break;
                case ButtonImages.korFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentDown);
                    break;
                case ButtonImages.korFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentUp);
                    break;
                case ButtonImages.korFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.korFormMenuInformationDisable);
                    break;
                case ButtonImages.korFormMenuInformationDown:
                    bt = new Bitmap(Resource1.korFormMenuInformationDown);
                    break;
                case ButtonImages.korFormMenuInformationUp:
                    bt = new Bitmap(Resource1.korFormMenuInformationUp);
                    break;
                case ButtonImages.korFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.korFormMenuSystemDisable);
                    break;
                case ButtonImages.korFormMenuSystemDown:
                    bt = new Bitmap(Resource1.korFormMenuSystemDown);
                    break;
                case ButtonImages.korFormMenuSystemUp:
                    bt = new Bitmap(Resource1.korFormMenuSystemUp);
                    break;
                case ButtonImages.korHelpASDisable:
                    bt = new Bitmap(Resource1.korHelpASDisable);
                    break;
                case ButtonImages.korHelpASDown:
                    bt = new Bitmap(Resource1.korHelpASDown);
                    break;
                case ButtonImages.korHelpASUp:
                    bt = new Bitmap(Resource1.korHelpASUp);
                    break;
                case ButtonImages.korHelpAutoZeroDisable:
                    bt = new Bitmap(Resource1.korHelpAutoZeroDisable);
                    break;
                case ButtonImages.korHelpAutoZeroDown:
                    bt = new Bitmap(Resource1.korHelpAutoZeroDown);
                    break;
                case ButtonImages.korHelpAutoZeroUp:
                    bt = new Bitmap(Resource1.korHelpAutoZeroUp);
                    break;
                case ButtonImages.korHelpCalibrationDisable:
                    bt = new Bitmap(Resource1.korHelpCalibrationDisable);
                    break;
                case ButtonImages.korHelpCalibrationDown:
                    bt = new Bitmap(Resource1.korHelpCalibrationDown);
                    break;
                case ButtonImages.korHelpCalibrationUp:
                    bt = new Bitmap(Resource1.korHelpCalibrationUp);
                    break;
                case ButtonImages.korHelpDataBackupDisable:
                    bt = new Bitmap(Resource1.korHelpDataBackupDisable);
                    break;
                case ButtonImages.korHelpDataBackupDown:
                    bt = new Bitmap(Resource1.korHelpDataBackupDown);
                    break;
                case ButtonImages.korHelpDataBackupUp:
                    bt = new Bitmap(Resource1.korHelpDataBackupUp);
                    break;
                case ButtonImages.korHelpDataStatisticsDisable:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsDisable);
                    break;
                case ButtonImages.korHelpDataStatisticsDown:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsDown);
                    break;
                case ButtonImages.korHelpDataStatisticsUp:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsUp);
                    break;
                case ButtonImages.korHelpEngineerDisable:
                    bt = new Bitmap(Resource1.korHelpEngineerDisable);
                    break;
                case ButtonImages.korHelpEngineerDown:
                    bt = new Bitmap(Resource1.korHelpEngineerDown);
                    break;
                case ButtonImages.korHelpEngineerUp:
                    bt = new Bitmap(Resource1.korHelpEngineerUp);
                    break;
                case ButtonImages.korHelpEquipmentTestDisable:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestDisable);
                    break;
                case ButtonImages.korHelpEquipmentTestDown:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestDown);
                    break;
                case ButtonImages.korHelpEquipmentTestUp:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestUp);
                    break;
                case ButtonImages.korHelpExternalOutputDisable:
                    bt = new Bitmap(Resource1.korHelpExternalOutputDisable);
                    break;
                case ButtonImages.korHelpExternalOutputDown:
                    bt = new Bitmap(Resource1.korHelpExternalOutputDown);
                    break;
                case ButtonImages.korHelpExternalOutputUp:
                    bt = new Bitmap(Resource1.korHelpExternalOutputUp);
                    break;
                case ButtonImages.korHelpFunctionDisable:
                    bt = new Bitmap(Resource1.korHelpFunctionDisable);
                    break;
                case ButtonImages.korHelpFunctionDown:
                    bt = new Bitmap(Resource1.korHelpFunctionDown);
                    break;
                case ButtonImages.korHelpFunctionUp:
                    bt = new Bitmap(Resource1.korHelpFunctionUp);
                    break;
                case ButtonImages.korHelpInformationDisable:
                    bt = new Bitmap(Resource1.korHelpInformationDisable);
                    break;
                case ButtonImages.korHelpInformationDown:
                    bt = new Bitmap(Resource1.korHelpInformationDown);
                    break;
                case ButtonImages.korHelpInformationUp:
                    bt = new Bitmap(Resource1.korHelpInformationUp);
                    break;
                case ButtonImages.korHelpInitializationDisable:
                    bt = new Bitmap(Resource1.korHelpInitializationDisable);
                    break;
                case ButtonImages.korHelpInitializationDown:
                    bt = new Bitmap(Resource1.korHelpInitializationDown);
                    break;
                case ButtonImages.korHelpInitializationUp:
                    bt = new Bitmap(Resource1.korHelpInitializationUp);
                    break;
                case ButtonImages.korHelpIOTestDisable:
                    bt = new Bitmap(Resource1.korHelpIOTestDisable);
                    break;
                case ButtonImages.korHelpIOTestDown:
                    bt = new Bitmap(Resource1.korHelpIOTestDown);
                    break;
                case ButtonImages.korHelpIOTestUp:
                    bt = new Bitmap(Resource1.korHelpIOTestUp);
                    break;
                case ButtonImages.korHelpItemDisable:
                    bt = new Bitmap(Resource1.korHelpItemDisable);
                    break;
                case ButtonImages.korHelpItemDown:
                    bt = new Bitmap(Resource1.korHelpItemDown);
                    break;
                case ButtonImages.korHelpItemUp:
                    bt = new Bitmap(Resource1.korHelpItemUp);
                    break;
                case ButtonImages.korHelpJudgmentDisable:
                    bt = new Bitmap(Resource1.korHelpJudgmentDisable);
                    break;
                case ButtonImages.korHelpJudgmentDown:
                    bt = new Bitmap(Resource1.korHelpJudgmentDown);
                    break;
                case ButtonImages.korHelpJudgmentUp:
                    bt = new Bitmap(Resource1.korHelpJudgmentUp);
                    break;
                case ButtonImages.korHelpOptionBoardDisable:
                    bt = new Bitmap(Resource1.korHelpOptionBoardDisable);
                    break;
                case ButtonImages.korHelpOptionBoardDown:
                    bt = new Bitmap(Resource1.korHelpOptionBoardDown);
                    break;
                case ButtonImages.korHelpOptionBoardUp:
                    bt = new Bitmap(Resource1.korHelpOptionBoardUp);
                    break;
                case ButtonImages.korHelpOptionDisable:
                    bt = new Bitmap(Resource1.korHelpOptionDisable);
                    break;
                case ButtonImages.korHelpOptionDown:
                    bt = new Bitmap(Resource1.korHelpOptionDown);
                    break;
                case ButtonImages.korHelpOptionUp:
                    bt = new Bitmap(Resource1.korHelpOptionUp);
                    break;
                case ButtonImages.korHelpSerialDisable:
                    bt = new Bitmap(Resource1.korHelpSerialDisable);
                    break;
                case ButtonImages.korHelpSerialDown:
                    bt = new Bitmap(Resource1.korHelpSerialDown);
                    break;
                case ButtonImages.korHelpSerialUp:
                    bt = new Bitmap(Resource1.korHelpSerialUp);
                    break;
                case ButtonImages.korHelpSorterDisable:
                    bt = new Bitmap(Resource1.korHelpSorterDisable);
                    break;
                case ButtonImages.korHelpSorterDown:
                    bt = new Bitmap(Resource1.korHelpSorterDown);
                    break;
                case ButtonImages.korHelpSorterUp:
                    bt = new Bitmap(Resource1.korHelpSorterUp);
                    break;
                case ButtonImages.korHelpTimeDisable:
                    bt = new Bitmap(Resource1.korHelpTimeDisable);
                    break;
                case ButtonImages.korHelpTimeDown:
                    bt = new Bitmap(Resource1.korHelpTimeDown);
                    break;
                case ButtonImages.korHelpTimeUp:
                    bt = new Bitmap(Resource1.korHelpTimeUp);
                    break;
                case ButtonImages.korHelpUpdateDisable:
                    bt = new Bitmap(Resource1.korHelpUpdateDisable);
                    break;
                case ButtonImages.korHelpUpdateDown:
                    bt = new Bitmap(Resource1.korHelpUpdateDown);
                    break;
                case ButtonImages.korHelpUpdateUp:
                    bt = new Bitmap(Resource1.korHelpUpdateUp);
                    break;
                case ButtonImages.korHelpUserDisable:
                    bt = new Bitmap(Resource1.korHelpUserDisable);
                    break;
                case ButtonImages.korHelpUserDown:
                    bt = new Bitmap(Resource1.korHelpUserDown);
                    break;
                case ButtonImages.korHelpUserUp:
                    bt = new Bitmap(Resource1.korHelpUserUp);
                    break;
                case ButtonImages.korLightOverDown:
                    bt = new Bitmap(Resource1.korLightOverDown);
                    break;
                case ButtonImages.korLightOverUp:
                    bt = new Bitmap(Resource1.korLightOverUp);
                    break;
                case ButtonImages.korLightPassDown:
                    bt = new Bitmap(Resource1.korLightPassDown);
                    break;
                case ButtonImages.korLightPassUp:
                    bt = new Bitmap(Resource1.korLightPassUp);
                    break;
                case ButtonImages.korLightUnderDown:
                    bt = new Bitmap(Resource1.korLightUnderDown);
                    break;
                case ButtonImages.korLightUnderUp:
                    bt = new Bitmap(Resource1.korLightUnderUp);
                    break;
                case ButtonImages.korMainRunLineOverDisable:
                    bt = new Bitmap(Resource1.korMainRunLineOverDisable);
                    break;
                case ButtonImages.korMainRunLineOverDown:
                    bt = new Bitmap(Resource1.korMainRunLineOverDown);
                    break;
                case ButtonImages.korMainRunLineOverUp:
                    bt = new Bitmap(Resource1.korMainRunLineOverUp);
                    break;
                case ButtonImages.korMainRunLinePassDisable:
                    bt = new Bitmap(Resource1.korMainRunLinePassDisable);
                    break;
                case ButtonImages.korMainRunLinePassDown:
                    bt = new Bitmap(Resource1.korMainRunLinePassDown);
                    break;
                case ButtonImages.korMainRunLinePassUp:
                    bt = new Bitmap(Resource1.korMainRunLinePassUp);
                    break;
                case ButtonImages.korMainRunLineUnderDisable:
                    bt = new Bitmap(Resource1.korMainRunLineUnderDisable);
                    break;
                case ButtonImages.korMainRunLineUnderDown:
                    bt = new Bitmap(Resource1.korMainRunLineUnderDown);
                    break;
                case ButtonImages.korMainRunLineUnderUp:
                    bt = new Bitmap(Resource1.korMainRunLineUnderUp);
                    break;         
                #endregion

                #region Chinese
                case ButtonImages.chnBackgroundCalibration:
                    bt = new Bitmap(Resource1.chnBackgroundCalibration);
                    break;
                case ButtonImages.chnBackgroundDataBackup:
                    bt = new Bitmap(Resource1.chnBackgroundDataBackup);
                    break;
                case ButtonImages.chnBackgroundDataStatistics:
                    bt = new Bitmap(Resource1.chnBackgroundDataStatistics);
                    break;
                case ButtonImages.chnBackgroundJudgment:
                    bt = new Bitmap(Resource1.chnBackgroundJudgment);
                    break;
                case ButtonImages.chnBackgroundJudgment_Updown:
                    bt = new Bitmap(Resource1.chnBackgroundJudgment_Updown);
                    break;
                case ButtonImages.chnBackgroundProduct:
                    bt = new Bitmap(Resource1.chnBackgroundProduct);
                    break;
                case ButtonImages.chnBackgroundSerial:
                    bt = new Bitmap(Resource1.chnBackgroundSerial);
                    break;
                case ButtonImages.chnBackgroundSorterSetting:
                    bt = new Bitmap(Resource1.chnBackgroundSorterSetting);
                    break;
                case ButtonImages.chnBackgroundTime:
                    bt = new Bitmap(Resource1.chnBackgroundTime);
                    break;
                case ButtonImages.chnBackgroundUserLogin:
                    bt = new Bitmap(Resource1.chnBackgroundUserLogin);
                    break;
                case ButtonImages.chnBypassCountDown:
                    bt = new Bitmap(Resource1.chnBypassCountDown);
                    break;
                case ButtonImages.chnBypassCountUp:
                    bt = new Bitmap(Resource1.chnBypassCountUp);
                    break;
                case ButtonImages.chnBypassOccasionDown:
                    bt = new Bitmap(Resource1.chnBypassOccasionDown);
                    break;
                case ButtonImages.chnBypassOccasionUp:
                    bt = new Bitmap(Resource1.chnBypassOccasionUp);
                    break;
                case ButtonImages.chnCalibrationBalanceDisable:
                    bt = new Bitmap(Resource1.chnCalibrationBalanceDisable);
                    break;
                case ButtonImages.chnCalibrationBalanceDown:
                    bt = new Bitmap(Resource1.chnCalibrationBalanceDown);
                    break;
                case ButtonImages.chnCalibrationBalanceUp:
                    bt = new Bitmap(Resource1.chnCalibrationBalanceUp);
                    break;
                case ButtonImages.chnCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.chnCalibrationCancelDisable);
                    break;
                case ButtonImages.chnCalibrationCancelDown:
                    bt = new Bitmap(Resource1.chnCalibrationCancelDown);
                    break;
                case ButtonImages.chnCalibrationCancelUp:
                    bt = new Bitmap(Resource1.chnCalibrationCancelUp);
                    break;
                case ButtonImages.chnCalibrationStartDisable:
                    bt = new Bitmap(Resource1.chnCalibrationStartDisable);
                    break;
                case ButtonImages.chnCalibrationStartDown:
                    bt = new Bitmap(Resource1.chnCalibrationStartDown);
                    break;
                case ButtonImages.chnCalibrationStartUp:
                    bt = new Bitmap(Resource1.chnCalibrationStartUp);
                    break;
                case ButtonImages.chnCalibrationZeroDisable:
                    bt = new Bitmap(Resource1.chnCalibrationZeroDisable);
                    break;
                case ButtonImages.chnCalibrationZeroDown:
                    bt = new Bitmap(Resource1.chnCalibrationZeroDown);
                    break;
                case ButtonImages.chnCalibrationZeroUp:
                    bt = new Bitmap(Resource1.chnCalibrationZeroUp);
                    break;
                case ButtonImages.chnJudgmentStandardDisable:
                    bt = new Bitmap(Resource1.chnJudgmentStandardDisable);
                    break;
                case ButtonImages.chnJudgmentStandardDown:
                    bt = new Bitmap(Resource1.chnJudgmentStandardDown);
                    break;
                case ButtonImages.chnJudgmentStandardUp:
                    bt = new Bitmap(Resource1.chnJudgmentStandardUp);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphOverDisable:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphOverDisable);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphOverUp:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphOverUp);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphPassDisable:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphPassDisable);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphPassUp:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphPassUp);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphTareDisable:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphTareDisable);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphTareUp:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphTareUp);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphUnderDisable:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphUnderDisable);
                    break;
                case ButtonImages.chnFormMainDisplayBargraphUnderUp:
                    bt = new Bitmap(Resource1.chnFormMainDisplayBargraphUnderUp);
                    break;
                case ButtonImages.chnMainClearDisable:
                    bt = new Bitmap(Resource1.chnMainClearDisable);
                    break;
                case ButtonImages.chnMainClearDown:
                    bt = new Bitmap(Resource1.chnMainClearDown);
                    break;
                case ButtonImages.chnMainClearUp:
                    bt = new Bitmap(Resource1.chnMainClearUp);
                    break;
                case ButtonImages.chnMainDeviationUp:
                    bt = new Bitmap(Resource1.chnMainDeviationUp);
                    break;
                case ButtonImages.chnMainLogOffDisable:
                    bt = new Bitmap(Resource1.chnMainLoginDisable);
                    break;
                case ButtonImages.chnMainLogOffDown:
                    bt = new Bitmap(Resource1.chnMainLogOutDown);
                    break;
                case ButtonImages.chnMainLogOffUp:
                    bt = new Bitmap(Resource1.chnMainLoginUp);
                    break;
                case ButtonImages.chnMainLoginLoginDisable:
                    bt = new Bitmap(Resource1.chnMainLoginLoginDisable);
                    break;
                case ButtonImages.chnMainLoginLoginDown:
                    bt = new Bitmap(Resource1.chnMainLoginLoginDown);
                    break;
                case ButtonImages.chnMainLoginLoginUp:
                    bt = new Bitmap(Resource1.chnMainLoginLoginUp);
                    break;
                case ButtonImages.chnMainPrintDisable:
                    bt = new Bitmap(Resource1.chnMainPrintDisable);
                    break;
                case ButtonImages.chnMainPrintDown:
                    bt = new Bitmap(Resource1.chnMainPrintDown);
                    break;
                case ButtonImages.chnMainPrintUp:
                    bt = new Bitmap(Resource1.chnMainPrintUp);
                    break;
                case ButtonImages.chnMainScreenDisable:
                    bt = new Bitmap(Resource1.chnMainScreenDisable);
                    break;
                case ButtonImages.chnMainScreenDown:
                    bt = new Bitmap(Resource1.chnMainScreenDown);
                    break;
                case ButtonImages.chnMainScreenUp:
                    bt = new Bitmap(Resource1.chnMainScreenUp);
                    break;
                case ButtonImages.chnFormMainDisplayStatistics:
                    bt = new Bitmap(Resource1.chnFormMainDisplayStatistics);
                    break;
                case ButtonImages.chnMainWeightUp:
                    bt = new Bitmap(Resource1.chnMainWeightUp);
                    break;
                case ButtonImages.chnMainZeroDisable:
                    bt = new Bitmap(Resource1.chnMainZeroDisable);
                    break;
                case ButtonImages.chnMainZeroDown:
                    bt = new Bitmap(Resource1.chnMainZeroDown);
                    break;
                case ButtonImages.chnMainZeroUp:
                    bt = new Bitmap(Resource1.chnMainZeroUp);
                    break;
                case ButtonImages.chnFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.chnMainLoginCancelDisable);
                    break;
                case ButtonImages.chnFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.chnMainLoginCancelDown);
                    break;
                case ButtonImages.chnFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.chnMainLoginCancelUp);
                    break;
                case ButtonImages.chnFormMainLoginDisable:
                    bt = new Bitmap(Resource1.chnMainLoginDisable);
                    break;
                case ButtonImages.chnFormMainLoginDown:
                    bt = new Bitmap(Resource1.chnMainLogOutDown);
                    break;
                case ButtonImages.chnFormMainLoginUp:
                    bt = new Bitmap(Resource1.chnMainLoginUp);
                    break;
                case ButtonImages.chnFormMenuConfigDisable:
                    bt = new Bitmap(Resource1.chnFormMenuConfigDisable);
                    break;
                case ButtonImages.chnFormMenuConfigDown:
                    bt = new Bitmap(Resource1.chnFormMenuConfigDown);
                    break;
                case ButtonImages.chnFormMenuConfigUp:
                    bt = new Bitmap(Resource1.chnFormMenuConfigUp);
                    break;
                case ButtonImages.chnFormMenuDefaultDisable:
                    bt = new Bitmap(Resource1.chnFormMenuDefaultDisable);
                    break;
                case ButtonImages.chnFormMenuDefaultDown:
                    bt = new Bitmap(Resource1.chnFormMenuDefaultDown);
                    break;
                case ButtonImages.chnFormMenuDefaultUp:
                    bt = new Bitmap(Resource1.chnFormMenuDefaultUp);
                    break;
                case ButtonImages.chnFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentDisable);
                    break;
                case ButtonImages.chnFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentDown);
                    break;
                case ButtonImages.chnFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentUp);
                    break;
                case ButtonImages.chnFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuInformationDisable);
                    break;
                case ButtonImages.chnFormMenuInformationDown:
                    bt = new Bitmap(Resource1.chnFormMenuInformationDown);
                    break;
                case ButtonImages.chnFormMenuInformationUp:
                    bt = new Bitmap(Resource1.chnFormMenuInformationUp);
                    break;
                case ButtonImages.chnFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.chnFormMenuSystemDisable);
                    break;
                case ButtonImages.chnFormMenuSystemDown:
                    bt = new Bitmap(Resource1.chnFormMenuSystemDown);
                    break;
                case ButtonImages.chnFormMenuSystemUp:
                    bt = new Bitmap(Resource1.chnFormMenuSystemUp);
                    break;
                case ButtonImages.chnHelpASDisable:
                    bt = new Bitmap(Resource1.chnHelpASDisable);
                    break;
                case ButtonImages.chnHelpASDown:
                    bt = new Bitmap(Resource1.chnHelpASDown);
                    break;
                case ButtonImages.chnHelpASUp:
                    bt = new Bitmap(Resource1.chnHelpASUp);
                    break;
                case ButtonImages.chnHelpAutoZeroDisable:
                    bt = new Bitmap(Resource1.chnHelpAutoZeroDisable);
                    break;
                case ButtonImages.chnHelpAutoZeroDown:
                    bt = new Bitmap(Resource1.chnHelpAutoZeroDown);
                    break;
                case ButtonImages.chnHelpAutoZeroUp:
                    bt = new Bitmap(Resource1.chnHelpAutoZeroUp);
                    break;
                case ButtonImages.chnHelpCalibrationDisable:
                    bt = new Bitmap(Resource1.chnHelpCalibrationDisable);
                    break;
                case ButtonImages.chnHelpCalibrationDown:
                    bt = new Bitmap(Resource1.chnHelpCalibrationDown);
                    break;
                case ButtonImages.chnHelpCalibrationUp:
                    bt = new Bitmap(Resource1.chnHelpCalibrationUp);
                    break;
                case ButtonImages.chnHelpDataBackupDisable:
                    bt = new Bitmap(Resource1.chnHelpDataBackupDisable);
                    break;
                case ButtonImages.chnHelpDataBackupDown:
                    bt = new Bitmap(Resource1.chnHelpDataBackupDown);
                    break;
                case ButtonImages.chnHelpDataBackupUp:
                    bt = new Bitmap(Resource1.chnHelpDataBackupUp);
                    break;
                case ButtonImages.chnHelpDataStatisticsDisable:
                    bt = new Bitmap(Resource1.chnHelpDataStatisticsDisable);
                    break;
                case ButtonImages.chnHelpDataStatisticsDown:
                    bt = new Bitmap(Resource1.chnHelpDataStatisticsDown);
                    break;
                case ButtonImages.chnHelpDataStatisticsUp:
                    bt = new Bitmap(Resource1.chnHelpDataStatisticsUp);
                    break;
                case ButtonImages.chnHelpEngineerDisable:
                    bt = new Bitmap(Resource1.chnHelpEngineerDisable);
                    break;
                case ButtonImages.chnHelpEngineerDown:
                    bt = new Bitmap(Resource1.chnHelpEngineerDown);
                    break;
                case ButtonImages.chnHelpEngineerUp:
                    bt = new Bitmap(Resource1.chnHelpEngineerUp);
                    break;
                case ButtonImages.chnHelpFunctionDisable:
                    bt = new Bitmap(Resource1.chnHelpFunctionDisable);
                    break;
                case ButtonImages.chnHelpFunctionDown:
                    bt = new Bitmap(Resource1.chnHelpFunctionDown);
                    break;
                case ButtonImages.chnHelpFunctionUp:
                    bt = new Bitmap(Resource1.chnHelpFunctionUp);
                    break;
                case ButtonImages.chnHelpInformationDisable:
                    bt = new Bitmap(Resource1.chnHelpInformationDisable);
                    break;
                case ButtonImages.chnHelpInformationDown:
                    bt = new Bitmap(Resource1.chnHelpInformationDown);
                    break;
                case ButtonImages.chnHelpInformationUp:
                    bt = new Bitmap(Resource1.chnHelpInformationUp);
                    break;
                case ButtonImages.chnHelpInitializationDisable:
                    bt = new Bitmap(Resource1.chnHelpInitializationDisable);
                    break;
                case ButtonImages.chnHelpInitializationDown:
                    bt = new Bitmap(Resource1.chnHelpInitializationDown);
                    break;
                case ButtonImages.chnHelpInitializationUp:
                    bt = new Bitmap(Resource1.chnHelpInitializationUp);
                    break;
                case ButtonImages.chnHelpIOTestDisable:
                    bt = new Bitmap(Resource1.chnHelpIOTestDisable);
                    break;
                case ButtonImages.chnHelpIOTestDown:
                    bt = new Bitmap(Resource1.chnHelpIOTestDown);
                    break;
                case ButtonImages.chnHelpIOTestUp:
                    bt = new Bitmap(Resource1.chnHelpIOTestUp);
                    break;
                case ButtonImages.chnHelpItemDisable:
                    bt = new Bitmap(Resource1.chnHelpItemDisable);
                    break;
                case ButtonImages.chnHelpItemDown:
                    bt = new Bitmap(Resource1.chnHelpItemDown);
                    break;
                case ButtonImages.chnHelpItemUp:
                    bt = new Bitmap(Resource1.chnHelpItemUp);
                    break;
                case ButtonImages.chnHelpJudgmentDisable:
                    bt = new Bitmap(Resource1.chnHelpJudgmentDisable);
                    break;
                case ButtonImages.chnHelpJudgmentDown:
                    bt = new Bitmap(Resource1.chnHelpJudgmentDown);
                    break;
                case ButtonImages.chnHelpJudgmentUp:
                    bt = new Bitmap(Resource1.chnHelpJudgmentUp);
                    break;
                case ButtonImages.chnHelpSerialDisable:
                    bt = new Bitmap(Resource1.chnHelpSerialDisable);
                    break;
                case ButtonImages.chnHelpSerialDown:
                    bt = new Bitmap(Resource1.chnHelpSerialDown);
                    break;
                case ButtonImages.chnHelpSerialUp:
                    bt = new Bitmap(Resource1.chnHelpSerialUp);
                    break;
                case ButtonImages.chnHelpSorterDisable:
                    bt = new Bitmap(Resource1.chnHelpSorterDisable);
                    break;
                case ButtonImages.chnHelpSorterDown:
                    bt = new Bitmap(Resource1.chnHelpSorterDown);
                    break;
                case ButtonImages.chnHelpSorterUp:
                    bt = new Bitmap(Resource1.chnHelpSorterUp);
                    break;
                case ButtonImages.chnHelpTimeDisable:
                    bt = new Bitmap(Resource1.chnHelpTimeDisable);
                    break;
                case ButtonImages.chnHelpTimeDown:
                    bt = new Bitmap(Resource1.chnHelpTimeDown);
                    break;
                case ButtonImages.chnHelpTimeUp:
                    bt = new Bitmap(Resource1.chnHelpTimeUp);
                    break;
                case ButtonImages.chnHelpUpdateDisable:
                    bt = new Bitmap(Resource1.chnHelpUpdateDisable);
                    break;
                case ButtonImages.chnHelpUpdateDown:
                    bt = new Bitmap(Resource1.chnHelpUpdateDown);
                    break;
                case ButtonImages.chnHelpUpdateUp:
                    bt = new Bitmap(Resource1.chnHelpUpdateUp);
                    break;
                case ButtonImages.chnHelpUserDisable:
                    bt = new Bitmap(Resource1.chnHelpUserDisable);
                    break;
                case ButtonImages.chnHelpUserDown:
                    bt = new Bitmap(Resource1.chnHelpUserDown);
                    break;
                case ButtonImages.chnHelpUserUp:
                    bt = new Bitmap(Resource1.chnHelpUserUp);
                    break;
                case ButtonImages.chnLightOverDown:
                    bt = new Bitmap(Resource1.chnLightOverDown);
                    break;
                case ButtonImages.chnLightOverUp:
                    bt = new Bitmap(Resource1.chnLightOverUp);
                    break;
                case ButtonImages.chnLightPassDown:
                    bt = new Bitmap(Resource1.chnLightPassDown);
                    break;
                case ButtonImages.chnLightPassUp:
                    bt = new Bitmap(Resource1.chnLightPassUp);
                    break;
                case ButtonImages.chnLightUnderDown:
                    bt = new Bitmap(Resource1.chnLightUnderDown);
                    break;
                case ButtonImages.chnLightUnderUp:
                    bt = new Bitmap(Resource1.chnLightUnderUp);
                    break;
                case ButtonImages.chnMainRunLineOverDisable:
                    bt = new Bitmap(Resource1.chnMainRunLineOverDisable);
                    break;
                case ButtonImages.chnMainRunLineOverDown:
                    bt = new Bitmap(Resource1.chnMainRunLineOverDown);
                    break;
                case ButtonImages.chnMainRunLineOverUp:
                    bt = new Bitmap(Resource1.chnMainRunLineOverUp);
                    break;
                case ButtonImages.chnMainRunLinePassDisable:
                    bt = new Bitmap(Resource1.chnMainRunLinePassDisable);
                    break;
                case ButtonImages.chnMainRunLinePassDown:
                    bt = new Bitmap(Resource1.chnMainRunLinePassDown);
                    break;
                case ButtonImages.chnMainRunLinePassUp:
                    bt = new Bitmap(Resource1.chnMainRunLinePassUp);
                    break;
                case ButtonImages.chnMainRunLineUnderDisable:
                    bt = new Bitmap(Resource1.chnMainRunLineUnderDisable);
                    break;
                case ButtonImages.chnMainRunLineUnderDown:
                    bt = new Bitmap(Resource1.chnMainRunLineUnderDown);
                    break;
                case ButtonImages.chnMainRunLineUnderUp:
                    bt = new Bitmap(Resource1.chnMainRunLineUnderUp);
                    break;
                case ButtonImages.chnOFF:
                    bt = new Bitmap(Resource1.chnOFF);
                    break;
                case ButtonImages.chnOFF_Black:
                    bt = new Bitmap(Resource1.chnOFF_Black);
                    break;
                case ButtonImages.chnON:
                    bt = new Bitmap(Resource1.chnON);
                    break;
                case ButtonImages.chnON_Black:
                    bt = new Bitmap(Resource1.chnON_Black);
                    break;
                #endregion

                case ButtonImages.ProductNoDisable:
                    bt = new Bitmap(Resource1.ProductNoDisable);
                    break;
                case ButtonImages.ProductNoDown:
                    bt = new Bitmap(Resource1.ProductNoDown);
                    break;
                case ButtonImages.ProductNoUp:
                    bt = new Bitmap(Resource1.ProductNoUp);
                    break;       

                default:
                    bt = new Bitmap(Resource1.korFormMenuSystemUp);
                    break;
            }

            return bt;
        }
    }
}
